import { UserRepository } from '@app/domain/users/user.repository';

export class GetUserUseCase {
  constructor(private readonly repo: UserRepository) {}
  execute(userId: string) {
    return this.repo.getUserById(userId);
  }
}
